> For the complete documentation index, see [llms.txt](https://headless.intelligems.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://headless.intelligems.io/version-1.0.0-beta/reference/hooks/price-hooks.md).

# Price Hooks

The returned price `useIgPrices()` follow the following logic:

1. If no `productId` or `variantId` is provided, the `originalPrice` is returned
2. If the `productId` and/or `variantId` is part of a Test, and the Test is live, or the test and user are both in preview mode:
   1. If a `productId` is provided but a `variantId` is not, the lowest-priced variant price is returned
   2. If the `currencyCode` of the Experiment does not match `activeCurrencyCode`, `originalPrice` is returned&#x20;
   3. If a `productId` and `variantId` is provided, the test-group variant price is returned
3. If the `productId` is not in an active test, the `originalPrice` is returned

## `useIgPrices()`

Returns the product price based on the user's test group.  Intelligems will return the original prices if updated prices are not found.

```typescript
export interface UseIgPricesProps {
  productId?: string;
  variantId?: string;
  originalPrice: number;
  originalCompareAtPrice?: number;
  currencyCode?: string;
}

export interface UseIgPricesReturn {
  igPrice: IgPriceReturn;
  igCompareAtPrice?: IgPriceReturn;
  isIgPrice: boolean;
  isReady: boolean;
}

export interface IgPriceReturn {
  value: number | null;
  currencyCode: string;
}

const useIgPrices = (props: UseIgPricesProps) => UseIgPricesReturn
```

## `useIgStyles`

Useful for manually styling components for integration mode.

```tsx
const igStyles = useIgStyles();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://headless.intelligems.io/version-1.0.0-beta/reference/hooks/price-hooks.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
